## python-pyldap 2.4.25.1

=== Build/build-openbsd/Makefile ===
# $Id: Makefile,v 1.5 2014/11/18 08:28:48 stroeder Exp $

WRKDIST=		${.CURDIR}/../..
VERSION!=		sh ${WRKDIST}/Build/version.sh

PKGNAME=		python-ldap-${VERSION}
RUN_DEPENDS=		python:lang/python
CATEGORIES=		misc
MAINTAINER=		leonard@users.sourceforge.net
HOMEPAGE=		http://www.python-ldap.org/

FAKE=			Yes
CONFIGURE_STYLE=	gnu
SEPARATE_BUILD=		Yes
EXTRACT_ONLY=	

CONFIGURE_ARGS+=	--with-ldap=${LOCALBASE}

do-fetch:;

#-- put package on sourceforge ftp server
export-ftp: ${PKGFILE}
	scp ${PKGFILE} python-ldap.sourceforge.net:/home/groups/ftp/pub/python-ldap/${PKGNAME}-${OPSYS}-${ARCH}${PKG_SUFX}

post-build:
	sed -e 's,^${PREFIX}/,,' <${WRKBUILD}/filelist >${WRKBUILD}/filelist2

SED_PLIST+=	|sed -e '/^%%filelist/r${WRKBUILD}/filelist2' -e '//d'
ALL_TARGET=	build filelist

.include <bsd.port.mk>

=== debian/changelog ===
python-pyldap (2.4.25.1-2ubuntu3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:55:19 +1200

python-pyldap (2.4.25.1-2ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:53:22 +1200

python-pyldap (2.4.25.1-2ubuntu1) zesty; urgency=medium

  * debian/rules: Remove unit tests since they do not actually run. 
  * debian/tests: Add autopkgtests to run testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 30 Nov 2016 13:40:00 -0500

python-pyldap (2.4.25.1-2) unstable; urgency=medium

  * Now using OpenStack's Gerrit as VCS:
    - Add a .gitreview file.
    - Edited debian/control VCS URLs.
    - Add .gitreview in extend-diff-ignore in debian/source/options.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Nov 2016 00:30:52 +0100

python-pyldap (2.4.25.1-1) unstable; urgency=medium

  * Initial release. (Closes: #831801)

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jul 2016 16:18:07 +0200

=== debian/control ===
Source: python-pyldap
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               libldap2-dev,
               libsasl2-dev,
               openstack-pkg-tools (>= 52~),
               python-all-dev,
               python-setuptools,
               python-sphinx,
               python3-all-dev,
               python3-setuptools,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pyldap?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-pyldap -b debian/newton
Homepage: https://github.com/pyldap/pyldap/
XS-Testsuite: autopkgtest

Package: python-pyldap
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Conflicts: python-ldap,
Provides: python-ldap,
Description: implements an LDAP client - Python 2.7
 Pyldap is a fork of python-ldap, and provides an object-oriented API to access
 LDAP directory servers from Python programs. Mainly it wraps the OpenLDAP 2.x
 libs for that purpose.
 .
 Additionally the package contains modules for other LDAP-related stuff (e.g.
 processing LDIF, LDAPURLs, LDAPv3 schema, LDAPv3 extended operations and
 controls, etc.).
 .
 This package contains the Python 2.7 module.

Package: python3-pyldap
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: implements an LDAP client - Python 3.x
 Pyldap is a fork of python-ldap, and provides an object-oriented API to access
 LDAP directory servers from Python programs. Mainly it wraps the OpenLDAP 2.x
 libs for that purpose.
 .
 Additionally the package contains modules for other LDAP-related stuff (e.g.
 processing LDIF, LDAPURLs, LDAPv3 schema, LDAPv3 extended operations and
 controls, etc.).
 .
 This package contains the Python 3.x module.

Package: python-pyldap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: implements an LDAP client - doc
 Pyldap is a fork of python-ldap, and provides an object-oriented API to access
 LDAP directory servers from Python programs. Mainly it wraps the OpenLDAP 2.x
 libs for that purpose.
 .
 Additionally the package contains modules for other LDAP-related stuff (e.g.
 processing LDIF, LDAPURLs, LDAPv3 schema, LDAPv3 extended operations and
 controls, etc.).
 .
 This package is providing the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/pyldap/pyldap.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html Doc debian/python-pyldap-doc/usr/share/doc/python-pyldap-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Tests: smoke
Restrictions: allow-stderr
Depends: @, slapd, ldap-utils

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyldap/pyldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
